{ config, pkgs, ... }:

{
  # Sécurité & Acces distant

  ## Augmentation de l'entropie du système par un générateur de nombres aléatoires
  ## cat /proc/sys/kernel/random/entropy_avail
  services.haveged = {
    enable = true;
    refill_threshold = 2048;
  };

  ## OpenSSH daemon
  services.openssh = {
    enable = true;
  };

  # Enable CUPS to print documents.
  services.printing = {
    enable = true;
    drivers = [
      pkgs.samsung-unified-linux-driver
    ];
  };

  # Monitoring

  ## Noeud de supervision munin = pas de stockage des données locales

  services.munin-node = {
    enable = true;
  };
}
